/*
 * Tiled Map Editor (Qt)
 * Copyright 2009 Tiled (Qt) developers (see AUTHORS file)
 *
 * This file is part of Tiled (Qt).
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CHANGEMAPOBJECT_H
#define CHANGEMAPOBJECT_H

#include <QUndoCommand>

namespace Tiled {

class MapObject;

namespace Internal {

class MapDocument;

class ChangeMapObject : public QUndoCommand
{
public:
    /**
     * Creates an undo command that sets the given \a object's \a name and
     * \a type.
     */
    ChangeMapObject(MapDocument *mapDocument,
                    MapObject *object,
                    const QString &name,
                    const QString &type);

    void undo();
    void redo();

private:
    void swap();

    MapDocument *mMapDocument;
    MapObject *mMapObject;
    QString mName;
    QString mType;
};

} // namespace Internal
} // namespace Tiled

#endif // CHANGEMAPOBJECT_H
